package com.mygrouptasks.worksuggest1.rest;

import com.mygrouptasks.worksuggest1.dao.PersonDao;
import com.mygrouptasks.worksuggest1.entity.Person;

import javax.ejb.Stateless;
import javax.inject.Inject;
import javax.ws.rs.*;
import javax.ws.rs.core.Response;
import java.util.List;

@Stateless
@Path("/persons")
public class PersonController {

    @Inject
    private PersonDao pdao;

    @GET
    @Path("/all")
    @Produces({"application/JSON"})
    public Response welcomeMessage() {
        System.out.println("All Persons");
        List persons = pdao.getAllPersons();
        return Response.ok(persons).build();
    }

    @GET
    @Path("/new")
    @Consumes({"application/JSON"})
    @Produces({"application/JSON"})
    public Response addPerson(@QueryParam("name") String name,
                              @QueryParam("email") String email,
                              @QueryParam("phone") String phone,
                              @QueryParam("address") String address) {
        pdao.addPerson(name, email, phone, address);
        return Response.ok().build();
    }
}
